/*
SD / MMC Bootloader for Atmel Atmega microcontrollers

Author:
	Nik Bamert
	nikbamert@bluewin.ch / admin@nikbamert.com
	www.nikbamert.com
	
License:	
	Creative Commons : Attribution-NonCommercial 2.5
	
	You are free:
	
		* to copy, distribute, display, and perform the work
		* to make derivative works
	
	Under the following conditions:
		
	Attribution. You must attribute the work in the manner specified by the author or licensor.
		
	Noncommercial. You may not use this work for commercial purposes.
	
		* For any reuse or distribution, you must make clear to others the license terms of this work.
		* Any of these conditions can be waived if you get permission from the copyright holder.
	
	Your fair use and other rights are in no way affected by the above.
	
	This is a human-readable summary of the Legal Code (the full license). 
	
	http://creativecommons.org/licenses/by-nc/2.5/legalcode
*/

//uC Takt in Hertz (wird fr die Delay Routine gebraucht --> blinkende LED)
#define F_CPU 8000000

//Soll eine Statusled verwendet werden?
#define STATUS_LED_SUPPORT 1

//LED Pins, falls angeschlossen
#define LED_DIRECTION	DDRD
#define LED_PORT		PORTD
#define LED_PIN			PD4

/*MMC/SD Card Settings
--------------------------------------------------*/

#define MMC_PORT PORTB
#define MMC_DDR DDRB

//Anschlusspins(muss jeweils an den Controller angepasst werden, siehe Datenblatt!)
#define SPI_MISO	PB4		//DataOut of MMC 
#define SPI_MOSI	PB3		//DataIn of  MMC
#define SPI_CLK  	PB5		//Clock of MMC
#define MMC_CS		PB1		//ChipSelect of MMC


//Clockrate while initialisation / reading 
//Clockrate/2 for reading. 
#define SPI_INIT_CLOCK 1<<SPR1 | 1<<SPR0
#define SPI_READ_CLOCK 0<<SPR1 | 1<<SPR0


#define SPI_DOUBLE_SPEED 0 //0: normal speed, 1: double speed

/*Dateisystemeinstellungen
--------------------------------------------------*/
//Fat 16 oder Fat32 verwenden? (FAT16 funkt noch nicht!)
#define USE_FAT32 1
#define USE_FAT16 0
